> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create integration definition

> Create a integration definition.
Used for custom integrations



## OpenAPI

````yaml POST /v1/integration_definition
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/integration_definition:
    post:
      tags:
        - Integration Definition
      description: |-
        Create a integration definition.
        Used for custom integrations
      operationId: IntegrationDefinitionController_createIntegrationDefinition
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationDefinitionCreateBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationDefinition'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    IntegrationDefinitionCreateBody:
      type: object
      properties:
        name:
          type: string
          description: Name of the integration
        sourceUrl:
          type: string
          description: This is the URL where the compiled source code of integration
        integrationType:
          type: object
          description: |-
            Category integration belongs to
            Example: Ticketing, Documentation etc
        workspaceId:
          type: string
          description: >-
            Unique identifier used to identify all the other resources.

            You can find this in the UI after the host and
            /workspaces/{workspaceId}
          example: 0a58f56e-3f59-4f4e-a8e1-a9e47aae5c3c
      required:
        - name
        - sourceUrl
        - integrationType
        - workspaceId
    IntegrationDefinition:
      type: object
      properties:
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        name:
          type: string
          description: Name of the integration
        key:
          type: string
          description: A unique identifier in text used to identify Integration
        icon:
          type: string
          nullable: true
          description: Icon for the integration
        version:
          type: string
          description: Current version of the integration
        releaseStage:
          type: object
          description: |-
            This tells the status of the integration.
            If Alpha most features will be working but can expect some issues.
        sourceUrl:
          type: string
          description: This is the URL where the compiled source code of integration
        integrationType:
          type: object
          description: |-
            Category integration belongs to
            Example: Ticketing, Documentation etc
        workspaceId:
          type: string
          nullable: true
          description: A unique identifier for Workspace
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
      required:
        - integrationDefinitionId
        - name
        - key
        - icon
        - version
        - releaseStage
        - sourceUrl
        - integrationType
        - workspaceId
        - deleted
        - createdAt
        - updatedAt
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string

````